FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202007012112.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202007012112.p0 
ENV __doozer=merge OS_GIT_COMMIT=d17eaf3 OS_GIT_VERSION=4.5.0-202007012112.p0-d17eaf3 SOURCE_DATE_EPOCH=1589494430 SOURCE_GIT_COMMIT=d17eaf3c590dbeb607c4d67bac8aea1a8c8ac9de SOURCE_GIT_TAG=v0.0.0-alpha.0-321-gd17eaf3c SOURCE_GIT_URL=https://github.com/openshift/cluster-openshift-controller-manager-operator 
WORKDIR /go/src/github.com/openshift/cluster-openshift-controller-manager-operator
COPY . .
RUN make

FROM openshift/ose-base:v4.5.0.20200701.222638
ENV __doozer=update BUILD_RELEASE=202007012112.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202007012112.p0 
ENV __doozer=merge OS_GIT_COMMIT=d17eaf3 OS_GIT_VERSION=4.5.0-202007012112.p0-d17eaf3 SOURCE_DATE_EPOCH=1589494430 SOURCE_GIT_COMMIT=d17eaf3c590dbeb607c4d67bac8aea1a8c8ac9de SOURCE_GIT_TAG=v0.0.0-alpha.0-321-gd17eaf3c SOURCE_GIT_URL=https://github.com/openshift/cluster-openshift-controller-manager-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-openshift-controller-manager-operator/cluster-openshift-controller-manager-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/0000_50_cluster-openshift-controller-manager-operator_02_config.crd.yaml /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-openshift-controller-manager-operator" \
        com.redhat.component="ose-cluster-openshift-controller-manager-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="openshift-controller-manager" \
        release="202007012112.p0" \
        io.openshift.build.commit.id="d17eaf3c590dbeb607c4d67bac8aea1a8c8ac9de" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-openshift-controller-manager-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-openshift-controller-manager-operator/commit/d17eaf3c590dbeb607c4d67bac8aea1a8c8ac9de" \
        version="v4.5.0"

